package com.steerinfo.meterwork.meterworkmonitor.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.meterwork.meterworkmonitor.model.MeterWorkMonitor;


/**
 * MeterWorkMonitor服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-11-06 03:27
 * 类描述
 * 修订历史：
 * 日期：2020-11-06
 * 作者：generator
 * 参考：
 * 描述：MeterWorkMonitor服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkMonitorService extends IBaseService<MeterWorkMonitor, String>{

    RESTfulResult doQueryWf(MeterWorkMonitor oci);

    String doUpdateWf(MeterWorkMonitor model);

    void AutomaticAllocation();

    RESTfulResult weightByCarNo(String rfidCar);


}